> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get External Links By Task

> Get all external links for a task



## OpenAPI

````yaml /openapi.json get /external-link/task/{taskId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /external-link/task/{taskId}:
    get:
      tags:
        - External Links
      summary: Get External Links By Task
      description: Get all external links for a task
      operationId: getExternalLinksByTask
      parameters:
        - in: path
          name: taskId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: External links for the task
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    taskId:
                      type: string
                    integrationId:
                      type: string
                    resourceType:
                      type: string
                    externalId:
                      type: string
                    url:
                      type: string
                    title:
                      type: string
                      nullable: true
                    metadata:
                      type: string
                      format: date-time
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - taskId
                    - integrationId
                    - resourceType
                    - externalId
                    - url
                    - title
                    - metadata
                    - createdAt
                    - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````